# SearXNG settings, before editing this file read:
#
#     https://searxng.github.io/searxng/admin/engines/settings.html

use_default_settings: true

general:
  # Debug mode, only for development
  debug: false
  # change displayed name
  # instance_name: "SearXNG"

search:
  # Filter results. 0: None, 1: Moderate, 2: Strict
  safe_search: 0
  # Existing autocomplete backends: "dbpedia", "duckduckgo", "google",
  # "startpage", "swisscows", "qwant", "wikipedia" - leave blank to turn it off
  # by default.
  autocomplete: ''
  # Default search language - leave blank to detect from browser information or
  # use codes from 'languages.py'
  default_lang: ''
  # remove format to deny access, use lower case.
  formats: [html, csv, json, rss]

server:
  secret_key: "ultrasecretkey"  # change this!
  # Proxying image results through searx
  image_proxy: false

# result_proxy:
#   url: http://127.0.0.1:3000/
#   key: !!binary "your_morty_proxy_key"

# plugins:
#   - only_show_green_results

# engines:
#
#   - name: duckduckgo
#     disabled: false
#
#   - name: fdroid
#     disabled: false
#
#   - name: apk mirror
#     disabled: false
#
#   - name: mediathekviewweb
#     engine: mediathekviewweb
#     shortcut: mvw
#     categories: general
